Project

General

Profile

Feature #2569

webrev should point to cr.illumos.org

Added by Piotr Jasiukajtis over 7 years ago. Updated over 7 years ago.

Status:
In Progress
Priority:
Low
Category:
tools - gate/build tools
Start date:
2012-03-30
Due date:
2012-04-04
% Done:

0%

Estimated time:
Difficulty:
Bite-size
Tags:
needs-triage

Description

Both /opt/onbld/bin/webrev and man page points to cr.opensolaris.org.
They should use http://cr.illumos.org instead.

History

#1

Updated by Damian Wojslaw over 7 years ago

  • Due date set to 2012-04-04
  • Assignee set to Damian Wojslaw
#2

Updated by Damian Wojslaw over 7 years ago

  • Status changed from New to In Progress

webrev available at: [[http://cr.illumos.org/view/o8hr0lpm]]

#3

Updated by Damian Wojslaw over 7 years ago

cr.illumos.org seems down:
The patch is:

trochej@madtower:~/projects/upstream-webrev$ cat upstream-webrev.patch 
--- old/usr/src/tools/scripts/webrev.sh    2012-05-23 16:22:50.169771988 +0200
+++ new/usr/src/tools/scripts/webrev.sh    2012-05-23 16:22:50.128273610 +0200
@@ -2314,8 +2314,6 @@
 # Declare global total counters.
 integer TOTL TINS TDEL TMOD TUNC

-# default remote host for upload/delete
-typeset -r DEFAULT_REMOTE_HOST="cr.opensolaris.org" 
 # prefixes for upload targets
 typeset -r rsync_prefix="rsync://" 
 typeset -r ssh_prefix="ssh://" 
@@ -3074,7 +3072,12 @@
     # the default values.
     #
     if [[ -z $tflag ]]; then
-        remote_target=${DEFAULT_REMOTE_HOST}:${WNAME}
+        if [[ ! -n "$DEFAULT_REMOTE_HOST" ]]; then
+            print -u2 "WARNING: No remote host specified and no DEFAULT_REMOTE_HOST variable set!" 
+            exit 1;
+        else 
+            remote_target=${DEFAULT_REMOTE_HOST}:${WNAME}
+        fi
     else
         #
         # Check upload target prefix first.

The output of running changed webrev:

trochej@madtower:~/projects/illumos-gate-webrev$ export DEFAULT_REMOTE_HOST=cr.illumos.org
trochej@madtower:~/projects/illumos-gate-webrev$ /opt/onbld/bin/webrev_test.sh  -U   ../webrev
   SCM detected: mercurial
 File list from: ../webrev
  Comments from: hg-active -p /home/trochej/Projekty/illumos-gate ... Done.
      Workspace: /home/trochej/projects/illumos-gate-webrev (at cdfded691c93)}
Compare against: /home/trochej/Projekty/illumos-gate (at cdfded691c93)
      Output to: /home/trochej/projects/illumos-gate-webrev/webrev
   Output Files:
    usr/src/tools/scripts/webrev.sh
         patch cdiffs udiffs wdiffs sdiffs frames ps old new
    usr/src/tools/scripts/webrev.1
         patch cdiffs udiffs wdiffs sdiffs frames ps old new
 Generating PDF: Done.
     index.html: Done.
      Upload to: rsync://cr.illumos.org:illumos-gate-webrev/
      Uploading: rsync ... ^CFailed. (falling back to SSH)
      Upload to: ssh://cr.illumos.org:illumos-gate-webrev/
      Uploading: rmdir ^C

trochej@madtower:~/projects/illumos-gate-webrev$ unset DEFAULT_REMOTE_HOST
trochej@madtower:~/projects/illumos-gate-webrev$ /opt/onbld/bin/webrev_test.sh  -U   ../webrev
   SCM detected: mercurial
 File list from: ../webrev
  Comments from: hg-active -p /home/trochej/Projekty/illumos-gate ... Done.

WARNING: No remote host specified and no DEFAULT_REMOTE_HOST variable set!
trochej@madtower:~/projects/illumos-gate-webrev$ /opt/onbld/bin/webrev_test.sh -t ssh://cr.illumos.org -U   ../webrev
   SCM detected: mercurial
 File list from: ../webrev
  Comments from: hg-active -p /home/trochej/Projekty/illumos-gate ... Done.
      Workspace: /home/trochej/projects/illumos-gate-webrev (at cdfded691c93)}
Compare against: /home/trochej/Projekty/illumos-gate (at cdfded691c93)
      Output to: /home/trochej/projects/illumos-gate-webrev/webrev
   Output Files:
    usr/src/tools/scripts/webrev.sh
         patch cdiffs udiffs wdiffs sdiffs frames ps old new
    usr/src/tools/scripts/webrev.1
         patch cdiffs udiffs wdiffs sdiffs frames ps old new
 Generating PDF: Done.
     index.html: Done.
      Upload to: ssh://cr.illumos.org:illumos-gate-webrev/
      Uploading: rmdir ^C
trochej@madtower:~/projects/illumos-gate-webrev$ export DEFAULT_REMOTE_HOST=cr.illumos.org
trochej@madtower:~/projects/illumos-gate-webrev$ /opt/onbld/bin/webrev_test.sh -t ssh://cr.illumos.org -U   ../webrev
   SCM detected: mercurial
 File list from: ../webrev
  Comments from: hg-active -p /home/trochej/Projekty/illumos-gate ... Done.
      Workspace: /home/trochej/projects/illumos-gate-webrev (at cdfded691c93)}
Compare against: /home/trochej/Projekty/illumos-gate (at cdfded691c93)
      Output to: /home/trochej/projects/illumos-gate-webrev/webrev
   Output Files:
    usr/src/tools/scripts/webrev.sh
         patch cdiffs udiffs wdiffs sdiffs frames ps old new
    usr/src/tools/scripts/webrev.1
         patch cdiffs udiffs wdiffs sdiffs frames ps old new
 Generating PDF: Done.
     index.html: Done.
      Upload to: ssh://cr.illumos.org:illumos-gate-webrev/
      Uploading: rmdir ^C
#4

Updated by Damian Wojslaw over 7 years ago

Manpage diff:

--- old/usr/src/tools/scripts/webrev.1    2012-05-23 16:58:33.000997866 +0200
+++ new/usr/src/tools/scripts/webrev.1    2012-05-23 16:58:32.981965434 +0200
@@ -217,9 +217,10 @@
 references.
 .TP 10
 .BI "-D" 
-Delete remote webrev via SFTP. Default remote host is \fIcr.opensolaris.org\fR,
+Delete remote webrev via SFTP. 
 default remote directory for removal is the same as workspace/repository
-basename. Remote target can be overriden using -t option. If combined with
+basename. Remote target can be specified using -t option, or by setting up
+DEFAULT_REMOTE_HOST environment variable. If combined with
 -U the deletion will be performed first. Also, if used together with -U
 and the removal fails, no upload is done. Without -U option no webrev will
 be generated, just like if -n option was used. The deletion is done by
@@ -273,7 +274,8 @@
 the top level directory of the default sftp/rsync directory tree.
 .TP 10
 .BI "-U" 
-Upload the webrev. Default remote host is \fIcr.opensolaris.org\fR.
+Upload the webrev. The remote host can be specified with -t option. 
+or by setting up DEFAULT_REMOTE_HOST environment variable.
 Default transport is rsync. If it fails, fallback to SCP/SFTP transport
 is done.
 .TP 10
@@ -425,11 +427,12 @@
 \f(CW$ webrev -n -U
 .fi
 .PP
-For custom remote targets, -t option allows to specify all components:
+Remote host for webrev uploading can be set by setting up environment variable 
+DEFAULT_REMOTE_HOST or by using -t option. -t option allows to specify all components:
 .IP
 .nf
 \f(CW$ webrev -U -t \\
-    ssh://user@cr.opensolaris.org:foo/bar/bugfix.onnv
+    ssh://user@cr.illumos.org:foo/bar/bugfix.onnv
 .fi
 .PP
 If the remote path is specified as absolute, \fBwebrev\fR will assume all the
@@ -441,8 +444,8 @@
 for example:
 .IP
 .nf
-\f(CWHost cr.opensolaris.org
-  Hostname cr.opensolaris.org
+\f(CWHost cr.illumos.org
+  Hostname cr.illumos.org
   User vkotal
 .fi

@@ -462,7 +465,7 @@
 .IP
 .nf
 \f(CW$ webrev -D -t \\
-    ssh://user@cr.opensolaris.org:foo/bar/bugfix.onnv
+    ssh://user@cr.illumos.org:foo/bar/bugfix.onnv
 .fi
 .PP
 This will remove just the \fIbugfix.onnv\fR directory.

Also available in: Atom PDF